リンク
GET https://qrcloud.online/api/links/
curl --request GET \
--url 'https://qrcloud.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索対象のフィールドは何ですか。許可される値は:url, location_url, name です。 |
| is_enabled | オプション ブール値 | |
| domain_id | オプション 整数 | |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime |
| datetime_start | オプション 文字列 | この日時からフィルタ結果を開始します。Y-m-d H:i:s形式。 |
| datetime_end | オプション 文字列 | この日時までの結果をフィルタリングします。 Y-m-d H:i:s 形式。 |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可される値は link_id, datetime, last_datetime, url, location_url, pageviews, name です。 |
| order_type | オプション 文字列 | 結果の順序。許可される値は: ASC 昇順の並び替え用、および DESC 降順の並び替え用。 |
| page | オプション 整数 | 求めるページ番号からの結果です。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりに表示したい結果の数。許可されている値は: 10, 25, 50, 100, 250, 500, 1000です。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-05-20 05:33:16",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/links?page=1",
"last": "https://qrcloud.online/api/links?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/links?page=1"
}
}
GET https://qrcloud.online/api/links/{link_id}
curl --request GET \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-05-20 05:33:16",
}
}
POST https://qrcloud.online/api/links
| パラメータ | 詳細 | 説明 |
|---|---|---|
| location_url | 必須 文字列 | 目的地のURL。利用可能な時:is_bulk = 0 |
| location_urls | 必須 文字列 | 目的地のURL。利用可能な時:is_bulk = 1 |
| url | オプション 文字列 | 生成されるリンクのURLエイリアス。ランダムに生成される場合は空白のままにしてください。利用可能な時:is_bulk = 0 |
| is_bulk | オプション ブール値 | |
| domain_id | オプション 整数 | - |
| project_id | オプション 整数 | - |
| pixels_ids | オプション 配列 整数 | - |
| schedule | オプション ブール値 | - |
| start_date | オプション 文字列 | 利用可能な時:schedule = true |
| end_date | オプション 文字列 | 利用可能な時:schedule = true |
| pageviews_limit | オプション 整数 | - |
| expiration_url | オプション 文字列 | - |
| password | オプション 文字列 | - |
| is_se_visible | オプション ブール値 | - |
| forward_query_parameters_is_enabled | オプション ブール値 | - |
| utm_source | オプション 文字列 | - |
| utm_medium | オプション 文字列 | - |
| utm_campaign | オプション 文字列 | - |
| sensitive_content | オプション ブール値 | - |
| http_status_code | オプション 整数 | 許可された値: 301, 302, 307, 308 |
| app_linking_is_enabled | オプション ブール値 | - |
| cloaking_is_enabled | オプション ブール値 | - |
| cloaking_title | オプション 文字列 | - |
| cloaking_meta_description | オプション 文字列 | - |
| cloaking_custom_js | オプション 文字列 | - |
| cloaking_favicon | オプション ファイル | - |
| cloaking_opengraph | オプション ファイル | - |
| targeting_type | オプション 文字列 | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | オプション 文字列 | 利用可能な時:targeting_type = continent_code |
| targeting_continent_code_value[index] | オプション 文字列 | 利用可能な時:targeting_type = continent_code |
| targeting_country_code_key[index] | オプション 文字列 | 利用可能な時:targeting_type = country_code |
| targeting_country_code_value[index] | オプション 文字列 | 利用可能な時:targeting_type = country_code |
| targeting_city_name_key[index] | オプション 文字列 | 利用可能な時:targeting_type = city_name |
| targeting_city_name_value[index] | オプション 文字列 | 利用可能な時:targeting_type = city_name |
| targeting_device_type_key[index] | オプション 文字列 | 利用可能な時:targeting_type = device_type |
| targeting_device_type_value[index] | オプション 文字列 | 利用可能な時:targeting_type = device_type |
| targeting_browser_language_key[index] | オプション 文字列 | 利用可能な時:targeting_type = browser_language |
| targeting_browser_language_value[index] | オプション 文字列 | 利用可能な時:targeting_type = browser_language |
| targeting_rotation_key[index] | オプション 文字列 | 利用可能な時:targeting_type = rotation |
| targeting_rotation_value[index] | オプション 文字列 | 利用可能な時:targeting_type = rotation |
| targeting_os_name_key[index] | オプション 文字列 | 利用可能な時:targeting_type = os_name |
| targeting_os_name_value[index] | オプション 文字列 | 利用可能な時:targeting_type = os_name |
| targeting_browser_name_key[index] | オプション 文字列 | 利用可能な時:targeting_type = browser_name |
| targeting_browser_name_value[index] | オプション 文字列 | 利用可能な時:targeting_type = browser_name |
curl --request POST \
--url 'https://qrcloud.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qrcloud.online/' \
--url 'https://qrcloud.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qrcloud.online/' \
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/links/{link_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| location_url | オプション 文字列 | 目的地のURL。 |
| url | オプション 文字列 | 生成されるリンクのURLエイリアス。ランダムに生成される場合は空白のままにしてください。 |
| domain_id | オプション 整数 | - |
| project_id | オプション 整数 | - |
| pixels_ids | オプション 配列 整数 | - |
| schedule | オプション ブール値 | - |
| start_date | オプション 文字列 | 利用可能な時:schedule = true |
| end_date | オプション 文字列 | 利用可能な時:schedule = true |
| pageviews_limit | オプション 整数 | - |
| expiration_url | オプション 文字列 | - |
| password | オプション 文字列 | - |
| is_se_visible | オプション ブール値 | - |
| forward_query_parameters_is_enabled | オプション ブール値 | - |
| utm_source | オプション 文字列 | - |
| utm_medium | オプション 文字列 | - |
| utm_campaign | オプション 文字列 | - |
| sensitive_content | オプション ブール値 | - |
| http_status_code | オプション 整数 | 許可された値: 301, 302, 307, 308 |
| app_linking_is_enabled | オプション ブール値 | - |
| cloaking_is_enabled | オプション ブール値 | - |
| cloaking_title | オプション 文字列 | - |
| cloaking_meta_description | オプション 文字列 | - |
| cloaking_custom_js | オプション 文字列 | - |
| cloaking_favicon | オプション ファイル | - |
| cloaking_opengraph | オプション ファイル | - |
| targeting_type | オプション 文字列 | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | オプション 文字列 | 利用可能な時:targeting_type = continent_code |
| targeting_continent_code_value[index] | オプション 文字列 | 利用可能な時:targeting_type = continent_code |
| targeting_country_code_key[index] | オプション 文字列 | 利用可能な時:targeting_type = country_code |
| targeting_country_code_value[index] | オプション 文字列 | 利用可能な時:targeting_type = country_code |
| targeting_city_name_key[index] | オプション 文字列 | 利用可能な時:targeting_type = city_name |
| targeting_city_name_value[index] | オプション 文字列 | 利用可能な時:targeting_type = city_name |
| targeting_device_type_key[index] | オプション 文字列 | 利用可能な時:targeting_type = device_type |
| targeting_device_type_value[index] | オプション 文字列 | 利用可能な時:targeting_type = device_type |
| targeting_browser_language_key[index] | オプション 文字列 | 利用可能な時:targeting_type = browser_language |
| targeting_browser_language_value[index] | オプション 文字列 | 利用可能な時:targeting_type = browser_language |
| targeting_rotation_key[index] | オプション 文字列 | 利用可能な時:targeting_type = rotation |
| targeting_rotation_value[index] | オプション 文字列 | 利用可能な時:targeting_type = rotation |
| targeting_os_name_key[index] | オプション 文字列 | 利用可能な時:targeting_type = os_name |
| targeting_os_name_value[index] | オプション 文字列 | 利用可能な時:targeting_type = os_name |
| targeting_browser_name_key[index] | オプション 文字列 | 利用可能な時:targeting_type = browser_name |
| targeting_browser_name_value[index] | オプション 文字列 | 利用可能な時:targeting_type = browser_name |
curl --request POST \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/links/{link_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \